[android-components](../../../index.md) / [mozilla.components.lib.crash](../../index.md) / [CrashReporter](../index.md) / [Prompt](./index.md)

# Prompt

`enum class Prompt` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/crash/src/main/java/mozilla/components/lib/crash/CrashReporter.kt#L163)

### Enum Values

| Name | Summary |
|---|---|
| [NEVER](-n-e-v-e-r.md) | Never prompt the user. Always submit crash reports immediately. |
| [ONLY_NATIVE_CRASH](-o-n-l-y_-n-a-t-i-v-e_-c-r-a-s-h.md) | Only prompt the user for native code crashes. |
| [ALWAYS](-a-l-w-a-y-s.md) | Always prompt the user for confirmation before sending crash reports. |
